GNU bug report logs - #57583
Guix cannot resume after hibernation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Yusuf Talha <yusuftalha@HIDDEN>; dated Sun, 4 Sep 2022 16:38:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 57583 <at> debbugs.gnu.org:


Received: (at 57583) by debbugs.gnu.org; 5 Sep 2022 13:11:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 09:11:41 2022
Received: from localhost ([127.0.0.1]:46808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBt3-0000BN-JG
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:11:41 -0400
Received: from tobias.gr ([80.241.217.52]:50102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1oVBsu-0000As-IZ; Mon, 05 Sep 2022 09:11:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=97krIzOMp9oPI
 /ztkxLsCb8uVypZGcHDcBFo6IJS8zc=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Ae1iEhejxQKguDZ7xY6LeQSQGHcinjaXhFuohn
 gXyBU/CW20bpQnKohrgb0eGirAVATEdz8xRm+4ExASGVJxZ//5k3+xgs8k68NEwaEzonTu
 qI7PNsxdu1AFYPv0+kH0ioSdY5xyhdWJ9yMGmiHhyG0KfREP5XrRIO0tItInpwbZscO7fe
 qrGMoJRrXk9nI7WnL15n5ZqvwmRy9O+mN5ulvabANbe36FdBMSh/PX3U83O4nGDu6BufGi
 1UDoW+ylYAaeESSJ/iiaspVaoWvC2rKI20ixjfKQQYLjUlsrnHJ6u+15KN8O+ZJ1cAAM8S
 nlm07BC0BQ+HQkUo3da6ljSA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id dc206d3a
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 5 Sep 2022 13:11:22 +0000 (UTC)
References: <NB8MLyo--3-2@HIDDEN> <87bkrvawgp.fsf@HIDDEN>
 <87h71m3rx1.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
Date: Mon, 05 Sep 2022 15:05:16 +0200
In-reply-to: <87h71m3rx1.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87wnaiezj2.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57583
Cc: 49475-done <at> debbugs.gnu.org, 57583 <at> debbugs.gnu.org,
 Josselin Poiret <dev@HIDDEN>, jackhill@HIDDEN,
 Yusuf Talha <yusuftalha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Jack, Yusuf, Ludo',

Yusuf: you could try pulling, reconfiguring, hibernating, and=20
resuming, if you're brave-ish.

Ludovic Court=C3=A8s =E5=86=99=E9=81=93=EF=BC=9A
> I believe this is fixed by this: [=E2=80=A6] The patch in question fell
> through the cracks

It should and it had, sorry.

I *dislike* the fact that this makes the resume path no longer=20
trivially obviously correct =E2=80=94 because we now actually do something=
=20
potentially useful (and hence, dangerous) during it =E2=80=94 but that's=20
unavoidable I suppose.  It's certainly not the fault of this=20
patch.

Pushed as ec16f88522041dc285a35705ff9ee95672b78143, thanks Jack!

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYxX1oQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW150cYA/3ZS6cUFlwn+9Q7MDVcWwHPe1Kbi4BHjtXrw5BZP
ZS/fAQCId35XEGp8/W1LizS/imQg14KfTLyfPyddJ6Xs1hV2Dw==
=uYzh
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at 57583 <at> debbugs.gnu.org:


Received: (at 57583) by debbugs.gnu.org; 5 Sep 2022 12:53:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:53:33 2022
Received: from localhost ([127.0.0.1]:46764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBbV-00087o-93
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:53:33 -0400
Received: from tobias.gr ([80.241.217.52]:53314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oVBbQ-00087X-FH
 for 57583 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:53:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=ghZsC6zrTUgfL
 H0gBgBMO3fkuqYVABvIOTZ10RLpeqM=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=L3JfAEzluHA1MZdG/lQ0alN9PUpZFz/tdIv+9Y
 9W1kqCXqRkj01uCr7Lv6lLQo7JLgadTaUHwp/HHP5Z7MBzEpACfc9tfhs75QkIB7z3+DuP
 j7WE5+pdskkdJCOX5sri0bY5v9hRXyk6BU8WqTzBBtFoLRSTfK5oj333aGaOHeh2FrtG27
 W1bQJzYuOvjIprpiqD1Bp65/pl2xKgYqHcNh8AdfrP3t/4e/+HZJW+WeSCEtmtUSpwynMU
 LfKInMrJCYD6j0gs3OW7ZrJBJPMp4U2MQHhpxyfjAIq8W+fdiNMUuh8mHsqOlT0Idc9Xjo
 GxkPr5dMzaRT2WY7TApz4egw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1d1aa1a5
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 5 Sep 2022 12:53:18 +0000 (UTC)
References: <NB8MLyo--3-2@HIDDEN> <87bkrvawgp.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
Date: Mon, 05 Sep 2022 14:38:25 +0200
In-reply-to: <87bkrvawgp.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <871qsqgexl.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57583
Cc: 57583 <at> debbugs.gnu.org, Yusuf Talha <yusuftalha@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi again,

Josselin Poiret via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=9A
>                    (and testing these kinds of features is=20
>                    dangerous,
> you could make a wrong move and incur heavy data loss)

I couldn't agree moEXT4-fs ext4_get_branch:171: inode #8: block=20
30343695: comm jbd2/sdb7-8: invalid block
Aborting journal on device sdb7-8.

=E2=80=A6ya know, I actually wrote a patch that I thought I'd submitted,=20
but apparently not?  Or I'm failing to use Mumi again.

We should scan all swap areas for the S1SUSPEND signature, and do=20
a much better thing than the current behaviour if we find one.

I'll see if I can find it in a backup somewhEXT4-fs (sdb7):=20
Remounting filesystem read-only

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYxXxZg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Na0BAOyMzF+/MeWvmcL0QLtFiVZYtVJsBJ6tvXrl9apN
JXi7APwLmL6CLtCinI1oR+JExID5J9CQo5cGgxYnH+VmUCuXDg==
=kYl7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2022 12:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:53:47 2022
Received: from localhost ([127.0.0.1]:46768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBbj-00088K-8A
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:53:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:40306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oVBbd-000887-9v
 for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:53:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52738)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oVBbY-0004Os-SO
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 08:53:34 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45564)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oVBbR-0000l0-Ih
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 08:53:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=ghZsC6zrTUgfL
 H0gBgBMO3fkuqYVABvIOTZ10RLpeqM=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=L3JfAEzluHA1MZdG/lQ0alN9PUpZFz/tdIv+9Y
 9W1kqCXqRkj01uCr7Lv6lLQo7JLgadTaUHwp/HHP5Z7MBzEpACfc9tfhs75QkIB7z3+DuP
 j7WE5+pdskkdJCOX5sri0bY5v9hRXyk6BU8WqTzBBtFoLRSTfK5oj333aGaOHeh2FrtG27
 W1bQJzYuOvjIprpiqD1Bp65/pl2xKgYqHcNh8AdfrP3t/4e/+HZJW+WeSCEtmtUSpwynMU
 LfKInMrJCYD6j0gs3OW7ZrJBJPMp4U2MQHhpxyfjAIq8W+fdiNMUuh8mHsqOlT0Idc9Xjo
 GxkPr5dMzaRT2WY7TApz4egw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1d1aa1a5
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 5 Sep 2022 12:53:18 +0000 (UTC)
References: <NB8MLyo--3-2@HIDDEN> <87bkrvawgp.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
Date: Mon, 05 Sep 2022 14:38:25 +0200
In-reply-to: <87bkrvawgp.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <871qsqgexl.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01,
 T_SPF_TEMPERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 57583 <at> debbugs.gnu.org, Yusuf Talha <yusuftalha@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi again,

Josselin Poiret via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=9A
>                    (and testing these kinds of features is=20
>                    dangerous,
> you could make a wrong move and incur heavy data loss)

I couldn't agree moEXT4-fs ext4_get_branch:171: inode #8: block=20
30343695: comm jbd2/sdb7-8: invalid block
Aborting journal on device sdb7-8.

=E2=80=A6ya know, I actually wrote a patch that I thought I'd submitted,=20
but apparently not?  Or I'm failing to use Mumi again.

We should scan all swap areas for the S1SUSPEND signature, and do=20
a much better thing than the current behaviour if we find one.

I'll see if I can find it in a backup somewhEXT4-fs (sdb7):=20
Remounting filesystem read-only

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYxXxZg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Na0BAOyMzF+/MeWvmcL0QLtFiVZYtVJsBJ6tvXrl9apN
JXi7APwLmL6CLtCinI1oR+JExID5J9CQo5cGgxYnH+VmUCuXDg==
=kYl7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at 57583 <at> debbugs.gnu.org:


Received: (at 57583) by debbugs.gnu.org; 5 Sep 2022 12:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:52:17 2022
Received: from localhost ([127.0.0.1]:46758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBaG-00085Q-Sq
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:52:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1oVBa7-00084c-5s; Mon, 05 Sep 2022 08:52:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46310)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oVBa0-0000PX-VT; Mon, 05 Sep 2022 08:51:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=mOP4xYNwBhxQgQQOvSX9qLqr8pIRBEW9ZQecCFlCfxs=; b=QFTLemV0I8gp1ZAw5wAP
 cqBHo2gGU/8kQdGracaUGNaDQ6SOqQUyTH8/Z4L2DG6rdbjo2Co748DNFuQwgLQrQHxguOEIbiGZm
 nvjk0L88tmOW/IE+duW71n63Ba9QMDZUIfSWMcils3eX0TX5LqUqByYARY6wkLo8Cp/8Yb3vndN1g
 KMJLACz58rAckypAouRiqppG89k9InqLrW8iusZKaD4wVXR8Qxg0QaL8qVTwS0BKoADNmE346QMWB
 gMqUZxbtZmJuJQd1Id74x1CxUJwKzQFEkEawlusLWYejr7TRHRfSNBM2wZBZDpaT01RQvLTuzbg/u
 IVNVfTwmk+vmGA==;
Received: from [193.50.110.177] (port=40420 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oVBa0-0004gh-Ie; Mon, 05 Sep 2022 08:51:56 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
References: <NB8MLyo--3-2@HIDDEN> <87bkrvawgp.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 14:51:54 +0200
In-Reply-To: <87bkrvawgp.fsf@HIDDEN> (Josselin Poiret's message of "Sun, 
 04 Sep 2022 19:19:34 +0200")
Message-ID: <87h71m3rx1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 57583
Cc: 49475 <at> debbugs.gnu.org, 57583 <at> debbugs.gnu.org,
 Yusuf Talha <yusuftalha@HIDDEN>, Tobias Geerinckx-Rice <me@HIDDEN>,
 jackhill@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hi,

Josselin Poiret <dev@HIDDEN> skribis:

> Yusuf Talha via Bug reports for GNU Guix <bug-guix@HIDDEN> writes:
>
>> I haven't encountered this problem on any other distros.=C2=A0 You proba=
bly realized that I encrypted my disk.=C2=A0 Hibernation wasn't working whi=
le I was using Guix without encryption a few months ago either.=C2=A0 So I =
don't think LUKS is the problem here.
>
>>From what I can tell, resuming from an encrypted partition isn't
> currently supported.  This could potentially be done, though it's not my
> priority right now (and testing these kinds of features is dangerous,
> you could make a wrong move and incur heavy data loss).

I believe this is fixed by this:

  https://issues.guix.gnu.org/49475

Jack, do I get it right?

The patch in question fell through the cracks, but it actually LGTM.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at 57583 <at> debbugs.gnu.org:


Received: (at 57583) by debbugs.gnu.org; 5 Sep 2022 12:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:32:53 2022
Received: from localhost ([127.0.0.1]:46727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBHZ-0007Yb-HK
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:32:53 -0400
Received: from tobias.gr ([80.241.217.52]:54820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oVBHW-0007YR-Ka
 for 57583 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:32:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/leHF34Qco/M5
 II3RsgSPYsYM1ChqveOxYq3wFhWMuU=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=C1VkFdYgZpxVNwtd8MEPGqUwZAO8J38VPE+SWq
 HuWJq2lffxEAIObVq0/u/nkurBMpRciL+gotP9cvQzI8J19fb90bJcvFtDOKyekqvkXbU7
 FyZv7HCxFnEOu+Lav+pgMD94J3tMdaBiCCnn5+n/ovKdHLsxP+jccQNaGGlQXDZOnnDZ3p
 bMhaYCQR8Ir9+1l7EO3H9GBQOASc0IrvTWlYu1go1M7mkic+SsBwqAaCTKAN807OnJPrP3
 8oS0MZkjnA29G/RbNXrs7UEbU+FPUlA8kXmF/fcb0KrypHuAOGgcsG/gxDpGw33YaZcyv4
 ullwlCvVHodZ+IqfdBwmwR1Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 8d50d0c3
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 5 Sep 2022 12:32:45 +0000 (UTC)
References: <NB8MLyo--3-2@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Yusuf Talha <yusuftalha@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
Date: Mon, 05 Sep 2022 14:13:05 +0200
In-reply-to: <NB8MLyo--3-2@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a67egfvv.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57583
Cc: 57583 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Yusuf, Ludo',

Josselin is right that resuming from encrypted swap isn't=20
supported.

Yusuf Talha via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=9A
>                                     Hibernation wasn't working=20
>                                     while I
> was using Guix without encryption a few months ago either.

To have any hope of debugging this one, we'll need information.

For example, what *exactly* did you specify as resume partition?=20
IIRC we try parsing it as /dev/name, UUID, or file system label=20
(almost certainly not in that order, obviously).

In #guix, Ludovic recently noted the same in passing, but so far=20
has managed to dodge my pleas for moreinfo :-)

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYxXslA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15eCYBAOG4BoFXN84smDVA/GFzY6uS4HULDYaR/s2Q4ZSb
FVTHAP4ujpzb2W2mRLGfGUxOIPGj2Kg55LSrN0oN59H68X0RDw==
=kzMy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2022 12:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:32:56 2022
Received: from localhost ([127.0.0.1]:46730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBHb-0007Yr-RW
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:32:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:40748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oVBHa-0007Yj-9Y
 for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:32:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46016)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oVBHZ-0007xF-L4
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 08:32:53 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:42902)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oVBHX-0004z1-Lu
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 08:32:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/leHF34Qco/M5
 II3RsgSPYsYM1ChqveOxYq3wFhWMuU=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=C1VkFdYgZpxVNwtd8MEPGqUwZAO8J38VPE+SWq
 HuWJq2lffxEAIObVq0/u/nkurBMpRciL+gotP9cvQzI8J19fb90bJcvFtDOKyekqvkXbU7
 FyZv7HCxFnEOu+Lav+pgMD94J3tMdaBiCCnn5+n/ovKdHLsxP+jccQNaGGlQXDZOnnDZ3p
 bMhaYCQR8Ir9+1l7EO3H9GBQOASc0IrvTWlYu1go1M7mkic+SsBwqAaCTKAN807OnJPrP3
 8oS0MZkjnA29G/RbNXrs7UEbU+FPUlA8kXmF/fcb0KrypHuAOGgcsG/gxDpGw33YaZcyv4
 ullwlCvVHodZ+IqfdBwmwR1Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 8d50d0c3
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 5 Sep 2022 12:32:45 +0000 (UTC)
References: <NB8MLyo--3-2@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Yusuf Talha <yusuftalha@HIDDEN>
Subject: Re: bug#57583: Guix cannot resume after hibernation
Date: Mon, 05 Sep 2022 14:13:05 +0200
In-reply-to: <NB8MLyo--3-2@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a67egfvv.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 57583 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Yusuf, Ludo',

Josselin is right that resuming from encrypted swap isn't=20
supported.

Yusuf Talha via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=9A
>                                     Hibernation wasn't working=20
>                                     while I
> was using Guix without encryption a few months ago either.

To have any hope of debugging this one, we'll need information.

For example, what *exactly* did you specify as resume partition?=20
IIRC we try parsing it as /dev/name, UUID, or file system label=20
(almost certainly not in that order, obviously).

In #guix, Ludovic recently noted the same in passing, but so far=20
has managed to dodge my pleas for moreinfo :-)

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYxXslA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15eCYBAOG4BoFXN84smDVA/GFzY6uS4HULDYaR/s2Q4ZSb
FVTHAP4ujpzb2W2mRLGfGUxOIPGj2Kg55LSrN0oN59H68X0RDw==
=kzMy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at 57583 <at> debbugs.gnu.org:


Received: (at 57583) by debbugs.gnu.org; 4 Sep 2022 17:19:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 13:19:39 2022
Received: from localhost ([127.0.0.1]:45598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUtHW-0006ym-Pq
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 13:19:39 -0400
Received: from jpoiret.xyz ([206.189.101.64]:34218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1oUtHV-0006ye-6P
 for 57583 <at> debbugs.gnu.org; Sun, 04 Sep 2022 13:19:37 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 59ECD185300;
 Sun,  4 Sep 2022 17:19:35 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1662311975;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=LQExiqU1s9Wx2aMDAeEzRwn+tVOi4CvYzSW4JSNuyds=;
 b=suvGtlgzcXbLDLzW2gIMgk2HT4J9iTej/2MtatBrtwvLFTF845r80dsThnVwIC2RWJTNsC
 HvqEcTMqLBdCClYxejg6BPhrBP/NiwyDTBoRMpVElD0UAou3O926lxZHy/Vc9Qp9w9sWya
 /+CLVz7UqzRddRnAEMnbJWRTM+V2rd6pyHWILs8xv3upqoBQy0yVI0MW4frjbARgeP3S2Y
 RSlYHX5pCWev1lz6usRRcHcokdQkvXjnn3Hp6lQrCY2iTwK1ip1LgcAvSAbl0pFQbPT4/I
 jk3aJ2awBg2ZzBGUXr/X693IPhYBY3oTxYCLNng6fVLFu/e/iDMHj8IpiUOnqw==
From: Josselin Poiret <dev@HIDDEN>
To: Yusuf Talha <yusuftalha@HIDDEN>, 57583 <at> debbugs.gnu.org
Subject: Re: bug#57583: Guix cannot resume after hibernation
In-Reply-To: <NB8MLyo--3-2@HIDDEN>
References: <NB8MLyo--3-2@HIDDEN>
Date: Sun, 04 Sep 2022 19:19:34 +0200
Message-ID: <87bkrvawgp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Yusuf, Yusuf Talha via Bug reports for GNU Guix <bug-guix@HIDDEN>
    writes: > I haven't encountered this problem on any other distros.  You
   probably realized that I encrypted my disk.  Hibernation wasn't working while
    I was using Guix without encryption a few months ago eit [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 57583
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Yusuf, Yusuf Talha via Bug reports for GNU Guix <bug-guix@HIDDEN>
    writes: > I haven't encountered this problem on any other distros.  You
   probably realized that I encrypted my disk.  Hibernation wasn't working while
    I was using Guix without encryption a few months ago eit [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hi Yusuf,

Yusuf Talha via Bug reports for GNU Guix <bug-guix@HIDDEN> writes:

> I haven't encountered this problem on any other distros.=C2=A0 You probab=
ly realized that I encrypted my disk.=C2=A0 Hibernation wasn't working whil=
e I was using Guix without encryption a few months ago either.=C2=A0 So I d=
on't think LUKS is the problem here.

From what I can tell, resuming from an encrypted partition isn't
currently supported.  This could potentially be done, though it's not my
priority right now (and testing these kinds of features is dangerous,
you could make a wrong move and incur heavy data loss).

Best,
--=20
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2022 16:37:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 12:37:51 2022
Received: from localhost ([127.0.0.1]:45543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUsd5-0005r9-9w
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 12:37:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:41478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yusuftalha@HIDDEN>) id 1oUsd2-0005qz-Kq
 for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 12:37:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55710)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yusuftalha@HIDDEN>)
 id 1oUsd2-0008O9-Fi
 for bug-guix@HIDDEN; Sun, 04 Sep 2022 12:37:48 -0400
Received: from w1.tutanota.de ([81.3.6.162]:59980)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yusuftalha@HIDDEN>)
 id 1oUsd0-00062v-NE
 for bug-guix@HIDDEN; Sun, 04 Sep 2022 12:37:48 -0400
Received: from w3.tutanota.de (unknown [192.168.1.164])
 by w1.tutanota.de (Postfix) with ESMTP id 72FF1FA013A
 for <bug-guix@HIDDEN>; Sun,  4 Sep 2022 16:37:42 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1662309462; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:Sender;
 bh=dEM4z6BofRHvKvv0piuu2aHjKVoky562q7470dekq+Y=;
 b=MOipk9tDcB40GiF8vFzxrl5mkIYtQvboUn8+CffUU0+CNqf1BU7lzoEYt4szo98E
 kXDXm3BJNT86chNsar0gFYXkCMxpkUjcYW+w05o8bvmyBuypJf++K/CxRbk/9lxcd62
 JVZDTlXMzK7b5XOun7Y+gtniUsldwG0CnF3A1IAobhhZnaBPERGLw7SkDNyPMs6Erz+
 e3C0259LU7u26jzW+b9MTsQEv872TDbTC2hYjMyZaoVHrQr3GsVqISTN4HeYoapqnKd
 KJbu1Joj0jHeCgx78n0OBXv1V12sBH13Iqxi8gZUt4kaXpidISaKhaWR5twVKAQPPi7
 nXQLlJz2Fw==
Date: Sun, 4 Sep 2022 18:37:42 +0200 (CEST)
From: Yusuf Talha <yusuftalha@HIDDEN>
To: Bug Guix <bug-guix@HIDDEN>
Message-ID: <NB8MLyo--3-2@HIDDEN>
Subject: Guix cannot resume after hibernation
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=81.3.6.162; envelope-from=yusuftalha@HIDDEN;
 helo=w1.tutanota.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello.=C2=A0 I'm using Guix System on my Librebooted Thinkpad X200 laptop.=
=C2=A0 Suspending to RAM works perfectly.=C2=A0 The problem is, when I run =
"loginctl hibernate" it writes to the swap partition and powers off success=
fully.=C2=A0 But when I try to boot up and resume from swap, it just ignore=
s it and starts up like it wasn't hibernated before.=C2=A0 And also I have =
to run "sudo swapon /dev/mapper/matrix-swapvol" to re-enable my swap partit=
ion.=C2=A0 swapon says:
"swapon: /dev/mapper/matrix-swapvol: software suspend data detected. Rewrit=
ing the swap signature."

I have added "resume=3D/dev/mapper/matrix-swapvol" to the kernel-arguments =
list in config.scm.
In addition to that, I see these messages on the dmesg log (I have no idea =
what they mean):

[=C2=A0=C2=A0=C2=A0 0.068782] PM: hibernation: Registered nosave memory: [m=
em 0x00000000-0x00000fff]
[=C2=A0=C2=A0=C2=A0 0.068788] PM: hibernation: Registered nosave memory: [m=
em 0x000a0000-0x000fffff]
[=C2=A0=C2=A0=C2=A0 0.068791] PM: hibernation: Registered nosave memory: [m=
em 0x7d74a000-0x7d7fffff]
[=C2=A0=C2=A0=C2=A0 0.068794] PM: hibernation: Registered nosave memory: [m=
em 0x7d800000-0x93ffffff]
[=C2=A0=C2=A0=C2=A0 0.068796] PM: hibernation: Registered nosave memory: [m=
em 0x94000000-0xefffffff]
[=C2=A0=C2=A0=C2=A0 0.068798] PM: hibernation: Registered nosave memory: [m=
em 0xf0000000-0xf3ffffff]
[=C2=A0=C2=A0=C2=A0 0.068800] PM: hibernation: Registered nosave memory: [m=
em 0xf4000000-0xffffffff]
I haven't encountered this problem on any other distros.=C2=A0 You probably=
 realized that I encrypted my disk.=C2=A0 Hibernation wasn't working while =
I was using Guix without encryption a few months ago either.=C2=A0 So I don=
't think LUKS is the problem here.

I would be glad if you can help me with that.=C2=A0 Thanks in advance.





Acknowledgement sent to Yusuf Talha <yusuftalha@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57583; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Sep 2022 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.